local name = "reidlab!"
local colors = { "#d87b5a", "#e0ab91" }
local offset = 0.05
local speed = 0.05

colors[#colors + 1] = colors[1]
offset = offset / speed

events.TICK:register(function ()
    local newName = "["

    for i = 1, #name, 1 do
        local counter = (((world.getTime() + offset * i) * speed) % (#colors - 1)) + 1
        local counterFloored = math.floor(counter)
        local color = math.lerp(vectors.hexToRGB(colors[counterFloored]), vectors.hexToRGB(colors[counterFloored + 1]), counter - counterFloored)
        newName = newName .. '{"text":"' .. name:sub(i,i) .. '","color":"#' .. vectors.rgbToHex(color) .. '"},'
        avatar:setColor(color)
    end

    newName = newName:sub(1, #newName - 1) .. "]"
    nameplate.ALL:setText(newName)
end)
